use crate::tokeniser::Token;

mod ast;
mod parse;
mod tokeniser;

fn main() {
    // let filename: &str = &std::env::args().collect::<Vec<String>>()[1];

    // let contents = std::fs::read_to_string(filename).expect(&format!("No file named {}", filename));

    // let tokens = tokeniser::tokenise(contents);

    // let functions = dbg!(parse::ast(tokens));

    // let assembly = ast::to_assembly(functions);

    // println!("{}", assembly);

    let mut i: usize = 0;
    let tokens: Vec<tokeniser::Token> = vec![
        Token::OpenParanthesis,
        Token::Star,
        Token::Number("2".to_string()),
        Token::CloseParanthesis,
    ];
    dbg!(parse::parse_expression(&tokens, &mut i));
}
